<?
if ($take) {			//linkПоднять
if ($take=="item.stand.k.1"){
require "tower/k1-start.dat";
msg($stmp,"Ключь Ворот",0,'none');
}
if ($take=="item.stand.k.2"){
require "tower/k2-start.dat";
msg($stmp,"Ключь Ворот",0,'none');
}
if ($take=="item.stand.k.3"){
require "tower/k3-start.dat";
msg($stmp,"Ключь Ворот",0,'none');
}
if ($take=="item.stand.v.1"){
require "tower/v1-start.dat";
msg($stmp,"Камень Захвата",0,'none');
}
if ($take=="item.stand.v.2"){
require "tower/v2-start.dat";
msg($stmp,"Камень Захвата",0,'none');
}
if ($take=="item.stand.v.3"){
require "tower/v3-start.dat";
msg($stmp,"Камень Захвата",0,'none');
}
// ПОРТ
if (substr($take,0,16)=='item.stand.port.'){
 $go=substr($take,16,strlen($take)-16);
 if ($player["loc"]==$go) msg("Вы и так тут");
 $stmp.="Вы переместились по порту...";
 $stmp.="<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
$old=split("\|",$locations[$player["loc"]]);
$oldd=$player["loc"];
if ($oldd!=$go) {
if (isset($locations[$go])) {
$new=split("\|",$locations[$go]);
 if (!$old[1] && $new[1]) addjournal($login,"Вы на охраняемой территории");
 if ($old[1] && !$new[1]) addjournal($login,"Вы покинули охраняемую территорию");
addjournalall($player["loc"],$player["title"]." исчез ",$login);
$game["loc"][$go][$login]=$game["loc"][$player["loc"]][$login];
  unset($game["loc"][$oldd][$login]);


        unset($player);
              $player=&$game["loc"][$go][$login];
        unset($player["attack"]);
                 $game["players"][$login]=$go;
       $player["loc"]=$go;
       addjournalall($go,"Появился ".$player["title"],$login);
                                                                        }
                            }
msg($stmp,"PORT",0,'none');
}
// камень магии
if ($take=="item.stand.magic") {
$stmp.="<span style=\"color:green\">камень магии</span>";
$stmp.="<br/><br/>Вы хотите зачаровать вещи? Ето стоит 1500 монет...";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&stm=to\">Добавить</a>";
msg($stmp,"Камень магии",0,'none');
}
// камень пути
if ($take=="item.stand.port") {
$sk=split("\|",$player["skills"]);
if ($sk[28]<6) msg("Недопустимый уровень.<br/>Нужен минимум 6, у Вас ".$sk[28]."!");
$stmp.="<a href=\"$PHP_SELF?sid=$sid\">(+)</a><br/>
<br/><strong>Выберите путь</strong>:";
if ($player["loc"]=="loc.new.19") {
$stmp.="<br/>Начальный Мир
<br/><a href=\"$PHP_SELF?sid=$sid&port=zar\">Зарождения</a>
<br/><a href=\"$PHP_SELF?sid=$sid&port=3\">Острова</a>
<br/><a href=\"$PHP_SELF?sid=$sid&port=4\">Горы</a>";
}
if ($player["loc"]=="loc.zvv") {
$stmp.="<br/>Зарождения
<br/><a href=\"$PHP_SELF?sid=$sid&port=2\">Начальный Мир</a>
<br/><a href=\"$PHP_SELF?sid=$sid&port=3\">Острова</a>
<br/><a href=\"$PHP_SELF?sid=$sid&port=4\">Горы</a>";
}
if ($player["loc"]=="loc.os") {
$stmp.="<br/>Острова
<br/><a href=\"$PHP_SELF?sid=$sid&port=2\">Начальный Мир</a>
<br/><a href=\"$PHP_SELF?sid=$sid&port=zar\">Зарождения</a>
<br/><a href=\"$PHP_SELF?sid=$sid&port=4\">Горы</a>";
}
if ($player["loc"]=="loc.g") {
$stmp.="<br/>Горы
<br/><a href=\"$PHP_SELF?sid=$sid&port=2\">Начальный Мир</a>
<br/><a href=\"$PHP_SELF?sid=$sid&port=zar\">Зарождения</a>
<br/><a href=\"$PHP_SELF?sid=$sid&port=3\">Острова</a>";
}
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
msg($stmp,"Камень пути",0,'none');
}
	// $take=id предмета [$item=id предмета с трупа, $num=кол-во]
	// FIX: надо проверить вес

	// проверки
	if (substr($take,0,5)!='item.') msg("<p>И как вы себе это представляете? :-)");
	if (!isset($game["loc"][$player["loc"]][$take])) msg("<p>Нечего взять");
	if (substr($take,0,11)=='item.stand.' && substr($take,0,16)!='item.stand.died.' && substr($take,0,20)!='item.stand.ressurect') msg("<p>Этот предмет нельзя взять");
	if ($player["ghost"]) if (substr($take,0,20)=='item.stand.ressurect') ressurect($login); else msg("<p>Вы призрак и поэтому не можете ничего передать, поднять или бросить, найдите лекаря или камень воскрешения");


	// берем предмет с трупа
	if (substr($take,0,16)=='item.stand.died.') {
	$died=split("\|",$game["loc"][$player["loc"]][$take]);
	if (time()>$died[5]) {unset($died[5]);}
	if ($died[4]==$player["title"]){  } else {
	if ($died[5]) msg("Труп принадлежит ".$died[4]."<br/>еще ".date("i мин s сек",$died[5]-time())."");
	}
	require"takedied.php";
		}//if с трупа

	// берем предмет из локации
	if (substr($take,0,11)!='item.stand.') {
		$item=split("\|",$game["loc"][$player["loc"]][$take]);
		// проверим кол-во
		if ($item[1]>1 && !$num) 
		{		
			// запросим кол-во
			$stmp="<form action=\"$PHP_SELF?sid=$sid&take=$take\" method=\"post\">Укажите количество:\n<br/><input name=\"num\" value=\"".$item[1]."\" format=\"*N\" class=\"inup\"/>\n<br/><input type=\"submit\" value=\"Взять\" class=\"btn\"></form><br/>";
			msg($stmp);
		}
		$count = (int)$num;
		if (!$count || $count<1) $count=1;	// если не указано, то 1 предмет
		if ($count>$item[1]) $count=$item[1];	// и максимум берем все что есть
		// удаляем из локации
		$item[1]-=$count;
		if ($item[1]<=0) unset($game["loc"][$player["loc"]][$take]); else $game["loc"][$player["loc"]][$take]=implode("|",$item);
		if (isset($game["loc_del"][$player["loc"]][$take])) unset($game["loc_del"][$player["loc"]][$take]);	// таймер удаления
		// добавляем игроку в items
		if (isset($player["items"][$take])) $itemp=split("\|",$player["items"][$take]); else {$itemp=$item; $itemp[1]=0;}
		$itemp[1]+=$count;
		$player["items"][$take]=implode("|",$itemp);
		addjournal($login,"Вы подняли ".$count." ".$item[0]);
		addjournalall($player["loc"],$player["title"]." поднял ".$count." ".$item[0],$login);
		}//if из локации
	}
?>



